Bug 28042 - Button corrections in OAI set mappings template
Summary: Button corrections in OAI set mappings template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-26 12:03 UTC by Owen Leonard
Modified: 2021-04-24 17:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 28042: Button corrections in OAI set mappings template (3.66 KB, patch)
2021-03-26 12:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28042: Button corrections in OAI set mappings template (3.70 KB, patch)
2021-03-27 08:22 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28042: Button corrections in OAI set mappings template (3.76 KB, patch)
2021-03-27 14:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-26 12:03:29 UTC
The OAI set mappings page has inconsistencies in how the buttons are marked up.
Comment 1 Owen Leonard 2021-03-26 12:35:12 UTC
Created attachment 118855 [details] [review]
Bug 28042: Button corrections in OAI set mappings template

This patch makes minor markup changes in the OAI set mappings template
so that the "Add" button looks consistent with other buttons in the
table.

Also changed: Removed unnecessary inline style attributes.

To test, apply the patch and go to Administration -> OAI sets
configuration

- If necessary, create an OAI set.
- Click the "Actions" button and choose "Define mappings."
- In the table of form fields, confirm that the "Add" button is styled
  similarly to the "Delete" button.
- Confirm that the "Add" button works as expected.
Comment 2 Amit Gupta 2021-03-27 08:22:41 UTC
Created attachment 118886 [details] [review]
Bug 28042: Button corrections in OAI set mappings template

To test, apply the patch and go to Administration -> OAI sets
configuration

- If necessary, create an OAI set.
- Click the "Actions" button and choose "Define mappings."
- In the table of form fields, confirm that the "Add" button is styled
  similarly to the "Delete" button.
- Confirm that the "Add" button works as expected.
Comment 3 Katrin Fischer 2021-03-27 14:02:53 UTC
Created attachment 118889 [details] [review]
Bug 28042: Button corrections in OAI set mappings template

This patch makes minor markup changes in the OAI set mappings template
so that the "Add" button looks consistent with other buttons in the
table.

Also changed: Removed unnecessary inline style attributes.

To test, apply the patch and go to Administration -> OAI sets
configuration

- If necessary, create an OAI set.
- Click the "Actions" button and choose "Define mappings."
- In the table of form fields, confirm that the "Add" button is styled
  similarly to the "Delete" button.
- Confirm that the "Add" button works as expected.

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-01 16:55:36 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-15 10:33:51 UTC
Pushed to 20.11.x for 20.11.05
Comment 6 Andrew Fuerste-Henry 2021-04-24 16:31:17 UTC
Pushed to 20.05.x for 20.05.11
Comment 7 Victor Grousset/tuxayo 2021-04-24 17:16:18 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.